commit: 619961502fbf536f088a4ddc5f7eb9af8232e131
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 15 01:02:27 2025 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Apr 15 01:02:27 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=61996150
dev-python/pyalsa: add 1.2.14
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-python/pyalsa/Manifest | 1 +
dev-python/pyalsa/pyalsa-1.2.14.ebuild | 50 ++++++++++++++++++++++++++++++++++
2 files changed, 51 insertions(+)
diff --git a/dev-python/pyalsa/Manifest b/dev-python/pyalsa/Manifest
index 701e7513e94f..07fa152967e2 100644
--- a/dev-python/pyalsa/Manifest
+++ b/dev-python/pyalsa/Manifest
@@ -1 +1,2 @@
DIST pyalsa-1.2.12.tar.bz2 40133 BLAKE2B
50e4cff2d4fccdf8fd62cb379c08f55f8229b20cb51ac8c89c6ba84214663992748fc9c3555b4242457348dfc877280754f1574eaffb8c9cbc4e82d376d6660c
SHA512
9073cb9a1fc6ad04bafa368435e45dd6c8506e14f0e594f02f7d2b7e06c72b8af9babf08cfead57a940a9ebde4548edf608196fea56089fe8d1300a04f573151
+DIST pyalsa-1.2.14.tar.bz2 40383 BLAKE2B
dc2cf0e631b4bf954a0fd09219236067f3ca7fd0a740641b1cdec86f9bf7af6325e58ffd8b6bae3372eb6c1afdf055c2bcad1fa54cb2784edf9a18eb18923870
SHA512
8a3fec7568d9e36bdf39a048f5cfe1c7f656ea08777eac3280329afbb1c9c870136e3fd54fd334762d9942385ddfead9bc15ee86d244d8c50869b34c4cb52f7d
diff --git a/dev-python/pyalsa/pyalsa-1.2.14.ebuild
b/dev-python/pyalsa/pyalsa-1.2.14.ebuild
new file mode 100644
index 000000000000..5d8a88c494d7
--- /dev/null
+++ b/dev-python/pyalsa/pyalsa-1.2.14.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for ALSA library"
+HOMEPAGE="https://alsa-project.org/wiki/Main_Page"
+SRC_URI="https://www.alsa-project.org/files/pub/pyalsa/${P}.tar.bz2"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+# Needs access to system's alsa configuration/devices
+RESTRICT="test"
+
+DEPEND="
+ media-libs/alsa-lib
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+python_test() {
+ cd "${T}" || die
+
+ shopt -s nullglob
+ local test
+ local failed
+ for test in "${S}"/test/*.py ; do
+ ${EPYTHON} "${test}" || {
+ eerror "${test} failed with ${EPYTHON}"
+ failed=1
+ break
+ }
+ done
+ shopt -u nullglob
+
+ if [[ ${failed} -eq 1 ]] ; then
+ die "${test} failed with ${EPYTHON}"
+ fi
+}